﻿namespace Tpig.Components.TogetherUi;

public interface ISingleWindow
{
    //////////////////////////////////////////////////////////////////////
    // Back and Next
    //////////////////////////////////////////////////////////////////////

    /// <summary>
    /// Change page to back link.
    /// </summary>
    Node? Back(string? name);

    /// <summary>
    /// Change page to next link.
    /// </summary>
    Node? Next(string? name);


    //////////////////////////////////////////////////////////////////////
    // Enabled/Disabled
    //////////////////////////////////////////////////////////////////////

    bool IsEnabled { get; set; }


    //////////////////////////////////////////////////////////////////////
    // Logging
    //////////////////////////////////////////////////////////////////////

    /// <summary>
    /// Logging trace message.
    /// </summary>
    void Trace(string message);

    /// <summary>
    /// Logging debug message.
    /// </summary>
    void Debug(string message);

    /// <summary>
    /// Logging warning message.
    /// </summary>
    void Warning(string message);
}
